//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
// 
// TODO: find legit copyright.
//
#ifndef __BRANCH_SPEC_MENU_H__
#define __BRANCH_SPEC_MENU_H__

#include <qpopupmenu.h>

class BranchSpecMenu : public QPopupMenu
{
  Q_OBJECT

public:
	
  BranchSpecMenu( QWidget* parent = 0, const char* name = 0 );
  virtual ~BranchSpecMenu();

public slots:

  void slotNew();
  void slotEditSpec();
  void slotDescribe();	
  void slotDelete();
	
	void slotIntegrateFromSpec();
  void slotViewBranches();
};

#endif 


